Skip to main content
GET
/
custom-domain-routes
List routes for a domain
curl --request GET \
  --url https://api.awardee.dev/v1/custom-domain-routes \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "total": 0,
  "page": 0,
  "page_size": 0,
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "chatbot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "kb_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_default": true,
      "url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Query Parameters

domain_id
string<uuid>
required

Response

Routes

object
string
required
Allowed value: "list"
total
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page_size
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
data
object[]
required